<?php
// $Id: ec_common.admin.inc,v 1.4.2.1 2008/11/20 20:17:00 brmassa Exp $

/**
 * @file
 *   This module contains generic functions for ecommerce which are typically available
 *   to the user with 'store admin manage' permissions.
 */

/**
 * Create an overview of the Settings Page (based on system_settings_overview)
 */
function ec_common_settings_overview($path) {
  $content = system_admin_menu_block(menu_get_item($path));
  return theme('admin_block_content', $content);
}

// -------------------------------------------------------------------------
// e-Commerce overview

/**
 * Generates statistical data of the store with links to view and the details
 * of transactions.
 */
function ec_common_manage_overview() {
  $widgets_list = array();

  // Check what dashboards the user can and want to see
  foreach (module_implements('ec_widgets') as $module) {
    $file_path = drupal_get_path('module', $module);
    if ($widgets = module_invoke($module, 'ec_widgets')) {
      foreach ($widgets as $code => $widget) {
        if (ec_common_overview_access($widget['title'])) {
          if (isset($widget['file'])) {
            $widget['file_path'] = $file_path;
            $widget['file_include'] = $widget['file_path'] .'/'. $widget['file'];
          }
          $widgets_list[$code] = $widget;
        }
      }
    }
  }
  usort($widgets_list, 'ec_sort');

  return theme('ec_common_manage_overview', $widgets_list);
}

