<?php
// $Id: ec_receipt.widgets.inc,v 1.2 2008/10/11 13:16:53 gordon Exp $

/**
 * @file
 * eC Receipts Widgets.
 */

function ec_receipts_widget_receipts($widget = array()) {
  $beg_month   = mktime(0, 0, 0, date('m'), 1, date('Y'));
  $beg_year    = mktime(0, 0, 0, 1, 1, date('Y'));
  $amt_this_month = db_result(db_query('SELECT SUM(amount) FROM {ec_receipt}
    WHERE created >= %d AND status = 2', $beg_month));
  $amt_this_year = db_result(db_query('SELECT SUM(amount) FROM {ec_receipt}
    WHERE created >= %d AND status = 2', $beg_year));
  $amt_unallocated = db_result(db_query("SELECT SUM(balance) AS balance
    FROM {ec_receipt} er
    LEFT JOIN {ec_receipt_allocation} era ON er.erid = era.erid
    WHERE er.status = '2'"));
  $num_refund_pending = db_result(db_query('SELECT COUNT(*) FROM {ec_receipt} WHERE status = %d', RECEIPT_STATUS_REFUND_PENDING));

  $rows[] = array(
    array('data' => l(t('Receipts paid this month'), 'admin/store/receipts', array('query' => 'status=2&date=>1 '. date('M') .' '. date('Y'))), 'align' => 'right'),
    array('data' => format_currency(empty($amt_this_month) ? 0 : $amt_this_month), 'align' => 'right'),
  );
  $rows[] = array(
    array('data' => l(t('Receipts paid this year'), 'admin/store/receipts', array('query' => 'status=2&date=>1 Jan '. date('Y'))), 'align' => 'right'),
    array('data' => format_currency(empty($amt_this_year) ? 0 : $amt_this_year), 'align' => 'right'),
  );
  $rows[] = array(
    array('data' => l(t('Receipts unallocated'), 'admin/store/receipts', array('query' => 'status=2&balance=>0')), 'align' => 'right'),
    array('data' => format_currency(empty($amt_unallocated) ? 0 : $amt_unallocated), 'align' => 'right'),
  );
  $rows[] = array(
    array('data' => l(t('Refunds Pending'), 'admin/store/receipts', array('query' => 'status=5')), 'align' => 'right'),
    array('data' => empty($num_refund_pending) ? 0 : $num_refund_pending, 'align' => 'right'),
  );

  $output = theme('table', array(), $rows);

  return $output;
}

