<?php
// $Id: ec_store.rules.inc,v 1.1.2.1 2008/11/19 04:49:17 gordon Exp $
/**
 * @file
 * Implementation of rules functionality
 */

/**
 * Implementation of hook_rules_event_info().
 */
function ec_store_rules_event_info() {
  return array(
    'ec_store_event_transactions_save' => array(
      'label' => t('Transaction save'),
      'module' => 'Transaction',
      'arguments' => array(
        'txn' => array('type' => 'transaction', 'label' => t('New transaction')),
        'orig_txn' => array('type' => 'transaction', 'label' => t('Original transaction')),
      ),
    ),
  );
}

/**
 * Implementation of hook_rules_condition_info().
 */
function ec_store_rules_condition_info() {
  return array(
    'ec_store_condition_workflow_status' => array(
      'label' => t('Transaction workflow status'),
      'arguments' => array(
        'txn' => array('type' => 'transaction', 'label' => t('Transaction')),
      ),
      'module' => 'Transaction',
    ),
    'ec_store_condition_allocation_status' => array(
      'label' => t('Transaction allocation status'),
      'arguments' => array(
        'txn' => array('type' => 'transaction', 'label' => t('Transaction')),
      ),
      'module' => 'Transaction',
    ),
    'ec_store_condition_is_shippable' => array(
      'label' => t('Transaction is shippable'),
      'arguments' => array(
        'txn' => array('type' => 'transaction', 'label' => t('Transaction')),
      ),
      'module' => 'Transaction',
    ),
  );
}

/**
 * Implementation of hook_rules_action_info().
 */
function ec_store_rules_action_info() {
  return array(
    'ec_store_action_set_workflow' => array(
      'label' => t('Set transaction workflow'),
      'module' => 'Transaction',
      'arguments' => array(
        'txn' => array('type' => 'transaction', 'label' => t('Transaction')),
      ),
    ),
  );
}

/**
 * Condition: Check transaction status
 */
function ec_store_condition_workflow_status(&$txn, $settings) {
  return in_array($txn->workflow, $settings['workflow']);
}

/**
 * Condition: Check transaction status
 */
function ec_store_condition_allocation_status(&$txn, $settings) {
  return in_array($txn->allocation, $settings['allocation']);
}

/**
 * Condition: Transaction is shippable
 */
function ec_store_condition_is_shippable(&$txn, $settings) {
  return isset($txn->shippable) && $txn->shippable ? TRUE : FALSE;
}

/**
 * Action: Set transaction workflow
 */
function ec_store_action_set_workflow($txn, $settings) {
  $new = (object)array(
    'txnid' => $txn->txnid,
    'workflow' => $settings['workflow'],
  );

  ec_store_transaction_save($new);
}

