<?php
// $Id: ec_store.theme.inc,v 1.1 2008/10/16 23:23:59 gordon Exp $
/**
 * @file
 * Stored themes for the store.
 */

/**
 * Format an address with carriage returns or HTML line breaks.
 *
 * @param $txn
 *   Object, User's address information
 * @param $type
 *   String, Is this a shipping or billing address
 * @param $break
 *   String, Should we break using '\n' (text) or '<br />' (html)
 */
function theme_ec_store_format_address($txn, $type = 'shipping', $break = 'text') {
  if (empty($txn->address[$type])) {
    return FALSE;
  }
  $data = drupal_clone((object) $txn->address[$type]);

  // Cleanup values
  if ($break != 'text') {
    foreach ($data as $key => $value) {
      if (is_scalar($value)) {
        $data->$key = check_plain($value);
      }
    }
  }
  $break = ($break == 'text') ? "\n" : '<br />';

  $address = '';
  if ((!empty($data->firstname) && !empty($data->lastname)) || !empty($data->fullname)) {
    if (!empty($data->firstname) || !empty($data->lastname)) {
      $address .= $data->firstname .' '. $data->lastname . $break;
    }
    else {
      $address .= !empty($data->fullname) ? $data->fullname . $break : '';
    }
    $address .= ($data->street2) ? $data->street1 . $break . $data->street2 . $break : $data->street1. $break;
    $address .= drupal_ucfirst($data->city) .", ". drupal_strtoupper($data->state) ." ". $data->zip . $break;
    $address .= ec_store_get_country($data->country) . $break;
    $address .= $data->phone . $break;
  }

  return $address;
}

